iParticleBuiltinEffectorLinear Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iParticleBuiltinEffectorLinear Struct Reference
Mesh plugins

Linear interpolation of various parameters based on particle lifetime. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticleBuiltinEffectorLinear:

List of all members.

## Public Member Functions
virtual size_t | AddParameterSet (const csParticleParameterSet &param, float endTTL)=0
| Add a parameter set to the list of parameters to interpolate between.
virtual void | Clear ()=0
| Remove all entries.
virtual float | GetEndTTL (size_t index) const =0
| Get TTL.
virtual int | GetMask () const =0
| Get the current mask used to interpolate the parameters.
virtual void | GetParameterSet (size_t index, csParticleParameterSet &param, float &endTTL) const =0
| Get parameter set and time.
virtual const csParticleParameterSet & | GetParameterSet (size_t index) const =0
| Get parameter set and time.
virtual size_t | GetParameterSetCount () const =0
| Get number of parameter set entries.
virtual void | RemoveParameterSet (size_t index)=0
| Remove a specific entry.
virtual void | SetEndTTL (size_t index, float ttl)=0
| Set the TTL for an index.
virtual void | SetMask (int mask)=0
| Set the mask to influence which parameters we will interpolate.
virtual void | SetParameterSet (size_t index, const csParticleParameterSet &param)=0
| Overwrite the parameter set of an already existing entry.

## Detailed Description

Linear interpolation of various parameters based on particle lifetime.

The age of particle P is defined as max(0, maxAge - P.TTL)

The first values are regarded as having time 0, independently of what they are set to have.

Definition at line 953 of file particles.h.

## Member Function Documentation

virtual size_t iParticleBuiltinEffectorLinear::AddParameterSet | ( | const csParticleParameterSet & | param,
|  | float | endTTL
| ) |  | `[pure virtual]`

Add a parameter set to the list of parameters to interpolate between.

Returns:
  Index of new parameter

virtual void iParticleBuiltinEffectorLinear::Clear | ( |  | ) | `[pure virtual]`

Remove all entries.

virtual float iParticleBuiltinEffectorLinear::GetEndTTL | ( | size_t | index | ) | const`[pure virtual]`

Get TTL.

virtual int iParticleBuiltinEffectorLinear::GetMask | ( |  | ) | const`[pure virtual]`

Get the current mask used to interpolate the parameters.

virtual void iParticleBuiltinEffectorLinear::GetParameterSet | ( | size_t | index,
|  | csParticleParameterSet & | param,
|  | float & | endTTL
| ) |  | const`[pure virtual]`

Get parameter set and time.

virtual const csParticleParameterSet& iParticleBuiltinEffectorLinear::GetParameterSet | ( | size_t | index | ) | const`[pure virtual]`

Get parameter set and time.

virtual size_t iParticleBuiltinEffectorLinear::GetParameterSetCount | ( |  | ) | const`[pure virtual]`

Get number of parameter set entries.

virtual void iParticleBuiltinEffectorLinear::RemoveParameterSet | ( | size_t | index | ) | `[pure virtual]`

Remove a specific entry.

virtual void iParticleBuiltinEffectorLinear::SetEndTTL | ( | size_t | index,
|  | float | ttl
| ) |  | `[pure virtual]`

Set the TTL for an index.

virtual void iParticleBuiltinEffectorLinear::SetMask | ( | int | mask | ) | `[pure virtual]`

Set the mask to influence which parameters we will interpolate.

By default this will be set to CS_PARTICLE_MASK_ALL.

virtual void iParticleBuiltinEffectorLinear::SetParameterSet | ( | size_t | index,
|  | const csParticleParameterSet & | param
| ) |  | `[pure virtual]`

Overwrite the parameter set of an already existing entry.

The documentation for this struct was generated from the following file:

- imesh/particles.h